	<head>
		<title>Code of Ethics- Philippine Computer Society </title>
	</head>
	<body>
		<!-- Add headings -->
		<h1>Software Engineering Code of Ethics and Professional Practice</h1>

			<h2>ACM/IEEE-CS Joint Task Force on Software Engineering Ethics and Professional Practices</h2>
		<hr>
			<p><b>Keywords:</b> code of ethics, professional responsibility, software engineering</p>

		<h3>PREAMBLE</h3>

		<p>The short version of the code summarizes aspirations at a high level of the abstraction; the clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high sounding but empty; together, the aspirations and the details form a cohesive code.</p>

		<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following Eight Principles:</p>


		<ol>
			<li>PUBLIC – Software engineers shall act consistently with the public interest.</li>
			<li>CLIENT AND EMPLOYER – Software engineers shall act in a manner that is in the best interests of their client and employer consistent with the public interest.</li>
			<li>PRODUCT – Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
			<li>JUDGMENT – Software engineers shall maintain integrity and independence in their professional judgment.</li>
			<li>MANAGEMENT – Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
			<li>PROFESSION – Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
			<li>COLLEAGUES – Software engineers shall be fair to and supportive of their colleagues.</li>
			<li>SELF – Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>


		</ol>

	</body>
</html>